#include "thsq.h"
#include "power-control.h"
#include "ti-lib.h"
/*---------------------------------------------------------------------------*/
static int psu_pin = IOID_UNUSED;
/*---------------------------------------------------------------------------*/
int
power_control_init(int pin)
{
  if((pin < IOID_0 || pin > IOID_30) && pin != IOID_UNUSED) {
    return -1;
  }

  /* init pin; default to OFF */
  psu_pin = pin;
  ti_lib_ioc_pin_type_gpio_output(psu_pin);
  power_control_off();

  return 0;
}
/*---------------------------------------------------------------------------*/
int
power_control_on(void)
{
  if(psu_pin != IOID_UNUSED) {
    ti_lib_gpio_write_dio(psu_pin, 1);
    return 0;
  }
  return -1;
}
/*---------------------------------------------------------------------------*/
int
power_control_off(void)
{
  if(psu_pin != IOID_UNUSED) {
    ti_lib_gpio_write_dio(psu_pin, 0);
    return 0;
  }
  return -1;
}
/*---------------------------------------------------------------------------*/
