#ifndef POWER_CONTROL_H
#define POWER_CONTROL_H
/*---------------------------------------------------------------------------*/
#include "thsq.h"
#include "ti-lib.h"
/*---------------------------------------------------------------------------*/
/*
 * Initialize the power control driver.
 *   pin  is the pin number of the GPIO used for power control
 *        valid range IOID_0 to IOID_30, and IOID_UNUSED.
 *        caller is responsible for chosing a pin that is not already in use
 *        by other drivers.
 * returns <0 for fail, 0 for success
 */
int power_control_init(int pin);

/* Turn on the power supply; returns <0 for fail, 0 for success */
int power_control_on(void);

/* Turn off the power supply; returns <0 for fail, 0 for success */
int power_control_off(void);
/*---------------------------------------------------------------------------*/
#endif  /* POWER_CONTROL_H */
